Add withdrawal address
curl --request POST \
--url https://api.example.com/api/v1/deposit-accounts/withdrawal-addresses \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address": "UQCvj9LMypzHShhTvO1qSLE0XiWxopEMweLh8MFnY3mxzLvi",
"network": "bsc",
"token": "USDT",
"label": "My USDT Wallet",
"isDefault": true
}
'import requests
url = "https://api.example.com/api/v1/deposit-accounts/withdrawal-addresses"
payload = {
"address": "UQCvj9LMypzHShhTvO1qSLE0XiWxopEMweLh8MFnY3mxzLvi",
"network": "bsc",
"token": "USDT",
"label": "My USDT Wallet",
"isDefault": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address: 'UQCvj9LMypzHShhTvO1qSLE0XiWxopEMweLh8MFnY3mxzLvi',
network: 'bsc',
token: 'USDT',
label: 'My USDT Wallet',
isDefault: true
})
};
fetch('https://api.example.com/api/v1/deposit-accounts/withdrawal-addresses', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"status": 400,
"message": "Validation failed.",
"timestamp": "2026-09-17T12:00:00.000Z",
"errors": [
"amount must not be less than 0"
]
}{
"success": false,
"status": 400,
"message": "Validation failed.",
"timestamp": "2026-09-17T12:00:00.000Z",
"errors": [
"amount must not be less than 0"
]
}Deposit Account
Add withdrawal address
Add a withdrawal (payout) wallet address for stable coins
POST
/
api
/
v1
/
deposit-accounts
/
withdrawal-addresses
Add withdrawal address
Authorizations
API key for /api/v1/* endpoints
Body
application/json
Withdrawal wallet address
Example:
"UQCvj9LMypzHShhTvO1qSLE0XiWxopEMweLh8MFnY3mxzLvi"
Blockchain network
Example:
"bsc"
Token symbol
Example:
"USDT"
Label for the address
Example:
"My USDT Wallet"
Default wallet account
Example:
true
Response
Withdrawal address added successfully.